Bug 1960717 (CVE-2021-3549) - CVE-2021-3549 binutils: heap-based buffer overflow in avr_elf32_load_records_from_section() via large section parameter
Summary: CVE-2021-3549 binutils: heap-based buffer overflow in avr_elf32_load_records_...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2021-3549
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1960718 1960719
Blocks: 1955705 1960726
TreeView+ depends on / blocked
 
Reported: 2021-05-14 16:48 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-05-27 09:43 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An Out of Bounds flaw was found in GNU binutils objdump utility. An attacker could use this flaw and pass a large section to avr_elf32_load_records_from_section() probably resulting in a crash or in some cases memory corruption. The highest threat from this vulnerability is to integrity as well as system availability.
Clone Of:
Environment:
Last Closed: 2021-05-19 08:33:33 UTC
Embargoed:


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2021-05-14 16:48:52 UTC
A flaw was discovered in objdump as distributed in GNU Binutils version 2.36. A large section parameter can be passed to avr_elf32_load_records_from_section() leading to DoS and memory corruption.

Reference:
https://sourceware.org/bugzilla/show_bug.cgi?id=27294

Upstream patch:
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=1cfcf3004e1830f8fe9112cfcd15285508d2c2b7

Comment 1 Guilherme de Almeida Suckevicz 2021-05-14 16:49:22 UTC
Created binutils tracking bugs for this issue:

Affects: fedora-all [bug 1960718]


Created mingw-binutils tracking bugs for this issue:

Affects: fedora-all [bug 1960719]

Comment 4 Product Security DevOps Team 2021-05-19 08:33:33 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-3549


Note You need to log in before you can comment on or make changes to this bug.